<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__btc__lescan__params" kind="struct" language="C++" prot="public">
    <compoundname>whd_btc_lescan_params</compoundname>
    <includes local="no">whd_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__btc__lescan__params_1a0815784d41b3c13d42ce22367abfba1d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t priority</definition>
        <argsstring />
        <name>priority</name>
        <briefdescription>
<para>LE scan priority. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="994" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="994" />
      </memberdef>
      <memberdef id="structwhd__btc__lescan__params_1ad0362052c89424bf11eb63b726b05182" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t duty_cycle</definition>
        <argsstring />
        <name>duty_cycle</name>
        <briefdescription>
<para>LE scan duty cycle. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="995" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="995" />
      </memberdef>
      <memberdef id="structwhd__btc__lescan__params_1a531bd65b280391995c4497112ca4e9c3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t max_win</definition>
        <argsstring />
        <name>max_win</name>
        <briefdescription>
<para>LE Max Scan window. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="996" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="996" />
      </memberdef>
      <memberdef id="structwhd__btc__lescan__params_1a8dcea8fcf19e2facaf59891ab47375d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t int_grant</definition>
        <argsstring />
        <name>int_grant</name>
        <briefdescription>
<para>LE Small Interval Grant. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="997" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="997" />
      </memberdef>
      <memberdef id="structwhd__btc__lescan__params_1ab9fbbe93d8ab19fa81bebf4ade2deddd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t scan_int</definition>
        <argsstring />
        <name>scan_int</name>
        <briefdescription>
<para>LE scan interval. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="998" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="998" />
      </memberdef>
      <memberdef id="structwhd__btc__lescan__params_1a02d72a917cfb65e36cd0527ed472bf8f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t scan_win</definition>
        <argsstring />
        <name>scan_win</name>
        <briefdescription>
<para>LE scan Window. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="999" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="999" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for LE Scan parameters. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1000" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="992" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="993" />
    <listofallmembers>
      <member prot="public" refid="structwhd__btc__lescan__params_1ad0362052c89424bf11eb63b726b05182" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>duty_cycle</name></member>
      <member prot="public" refid="structwhd__btc__lescan__params_1a8dcea8fcf19e2facaf59891ab47375d9" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>int_grant</name></member>
      <member prot="public" refid="structwhd__btc__lescan__params_1a531bd65b280391995c4497112ca4e9c3" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>max_win</name></member>
      <member prot="public" refid="structwhd__btc__lescan__params_1a0815784d41b3c13d42ce22367abfba1d" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>priority</name></member>
      <member prot="public" refid="structwhd__btc__lescan__params_1ab9fbbe93d8ab19fa81bebf4ade2deddd" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>scan_int</name></member>
      <member prot="public" refid="structwhd__btc__lescan__params_1a02d72a917cfb65e36cd0527ed472bf8f" virt="non-virtual"><scope>whd_btc_lescan_params</scope><name>scan_win</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>